export const useMarkerCluster = async (props) => {
  const L = window.L;
  const { MarkerClusterGroup } = await import("leaflet.markercluster");
  const markerCluster = new MarkerClusterGroup();
  props.markers.forEach((location) => {
    const marker = L.marker([location.lat, location.lng], {
      title: location.name,
      ...location.options
    });
    markerCluster.addLayer(marker);
  });
  props.leafletObject.addLayer(markerCluster);
};
